package com.chelvc.cloud.vehicle.api.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * @author valley
 * @date 2024/02/03 15:45
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class AssessRecoverDto implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 回复内容
     */
    private String recoverMsg;
    /**
     * 回复时间
     */
    private Date recoverTime;

    /**
     * 回复时间格式化
     */
    private String recoverTimeFormat;
}
