package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TeamInvitePageParam implements Serializable {

    private static final long serialVersionUID = 1789614357588228530L;

    //类型：1-用户；2-商家；不传值-查所有
    private Integer type;

    private Integer sourceType;

    private Paging paging;
}
