package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.CurrencyRecordDTO;
import com.chelvc.cloud.vehicle.api.dto.EarningsDTO;

import java.util.List;

/**
 * 收益流水记录表数据模型
 *
 * @author liude
 * @date 2024/03/15
 */
public interface CurrencyRecordService {
    /**
     * 收益流水记录
     * @return 收益流水记录列表
     */
    List<CurrencyRecordDTO> listCurrencyRecord(Integer type);

    /**
     * 获取用户得总收益、本周收益、本月收益、可提现金额
     * @return
     */
    EarningsDTO getCurrencyRecord(Integer type);
}
