package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.TeamDTO;
import com.chelvc.cloud.vehicle.api.param.TeamInvitePageParam;
import com.chelvc.cloud.vehicle.api.param.UserInviteParams;

public interface UserInviteService {

    void bindInvite(UserInviteParams params);

    TeamDTO teamList(TeamInvitePageParam param, Long userId);

    /**
     * 查看上级用户
     * @param userId
     * @return
     */
    Long queryUserByTarget(Long userId, Integer type);

    /**
     * 查询用户邀请得用户列表
     * @param param
     * @return
     */
    TeamDTO inviteList(TeamInvitePageParam param);
}
