package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.DynamicResource;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @PACKAGE_NAME: net.yeeu.collision.dynamic.mapper
 * @NAME: DynamicResourceMapper
 * @USER: igl
 * @DATE: 2023/8/8 17:15
 */
@Mapper
@Repository
public interface DynamicResourceMapper extends BaseMapper<DynamicResource> {

  /**
   * 批量插入
   *
   * @param list
   * @return {@link Integer}
   * @author igl
   * @date 2023/8/14 16:18
   */
  Integer batchInsert(@Param("list") List<DynamicResource> list);
}
