package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class NewInformDTO implements Serializable {

    /**
     * 订单通知数
     */
    private Integer order = 0;

    /**
     * 点赞回复数
     */
    private Integer evaluate = 0;

    /**
     * 优惠券数量
     */
    private Integer coupon = 0;

    /**
     * 付款数量
     */
    private Integer pay = 0;

    /**
     * 商品评价数量
     */
    private Integer comment = 0;
}
