package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.AssessRecoverDto;
import com.chelvc.cloud.vehicle.api.dto.GoodsAssessDto;
import com.chelvc.cloud.vehicle.api.param.AssessModifyParam;
import com.chelvc.cloud.vehicle.api.param.AssessQueryParam;
import com.chelvc.cloud.vehicle.api.param.AssessRecoverModifyParam;
import com.fasterxml.jackson.databind.util.JSONPObject;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author valley
 * @date 2024/01/30 00:03
 **/
public interface AssessService {
    Long add(AssessModifyParam param);

    List<GoodsAssessDto> query(AssessQueryParam param);

    Long addAssessRecover(AssessRecoverModifyParam param);

    void computeAvgScore();

    Map<String, BigDecimal> getGoodsScore(Long goodsId);
    
}
