package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.dto.RegionDTO;
import com.chelvc.cloud.vehicle.server.entity.Region;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface RegionMapper extends BaseMapper<Region> {

    List<RegionDTO> getRegionByPid(@Param("pid")Integer pid);

    @Select("select id from region where level = #{level}")
    List<Integer> queryIdsByLevel(@Param("level")Integer level);

    @Select("select id from region where level = #{level} limit #{pageNum}, #{pageSize}")
    List<Integer> queryPageIdsByLevel(Integer level, int pageNum, int pageSize);
}
